#include <USB A SERIAL HALF DUPLEX.h>

#FUSES NOMCLR

#use rs232(baud=9600, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)
#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C


#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C



char recibido[200];

void recive()
{
   memset(recibido, 0, sizeof(recibido)); //limpia los registros de la varible
   while(true)
   {
      if (kbhit())//espera el primer caracter
      {
         int8 i=0;
         while(true)
         {
            recibido[i]=getc();//RECIBE EL CARACTER

            if(recibido[i]=='\n')//busca el salto de linea \r
            {
              return;
            }
            i++;
         }
      }
   }
}


void mostrar()
{
   OLED_ClearDisplay();
   
   OLED_DrawText(1,1,recibido,1);

   OLED_Display();//Muestra la informacin en pantalla;
}



void main()
{
   OLED_Begin();
   OLED_ClearDisplay();

   while(TRUE)
   {
      printf("ESCRIBIR TEXTO:\r\n");
      recive();
      mostrar();
   }

}
